package com.realnet.stepperform.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.stepperform.Entity.Stepper_header;
import com.realnet.stepperform.Services.Stepper_headerService ;






















@RequestMapping(value = "/Stepper_header")
 @CrossOrigin("*") 
@RestController
public class Stepper_headerController {
	@Autowired
	private Stepper_headerService Service;

@Value("${projectPath}")
	private String projectPath;
 






















	@PostMapping("/Stepper_header")
		  public Stepper_header Savedata(@RequestBody Stepper_header data) {
		Stepper_header save = Service.Savedata(data)	;





















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Stepper_header/{id}")
	public  Stepper_header update(@RequestBody Stepper_header data,@PathVariable Integer id ) {
		Stepper_header update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Stepper_header/getall/page")
	public Page<Stepper_header> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Stepper_header> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Stepper_header")
	public List<Stepper_header> getdetails() {
		 List<Stepper_header> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Stepper_header")
	public List<Stepper_header> getallwioutsec() {
		 List<Stepper_header> get = Service.getdetails();		
		return get;
}
@GetMapping("/Stepper_header/{id}")
	public  Stepper_header  getdetailsbyId(@PathVariable Integer id ) {
		Stepper_header  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Stepper_header/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}























}